import React from 'react';
import type { G3FieldTextType, G3FieldInputType, G3FieldValueObjectType, G3FieldFCRenderProps, G3RenderFieldPropsType, G3FieldRequestData } from '../types';
import './index.less';
declare type RenderProps = Omit<G3FieldFCRenderProps, 'text'> & G3RenderFieldPropsType & {
    request?: G3FieldRequestData;
    emptyText?: React.ReactNode;
    visible?: boolean;
    onVisible?: (visible: boolean) => void;
    [key: string]: any;
};
export declare type G3FieldPropsType = {
    text?: G3FieldTextType;
    valueType?: G3FieldInputType | G3FieldValueObjectType;
} & RenderProps;
declare const _default: React.ForwardRefRenderFunction<any, G3FieldPropsType>;
export default _default;
