"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.G3FieldBadgeColor = void 0;

var _react = _interopRequireDefault(require("react"));

var _antd = require("antd");

require("./index.css");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var G3Status = {
  Success: function Success(_ref) {
    var children = _ref.children;
    return /*#__PURE__*/_react.default.createElement(_antd.Badge, {
      status: "success",
      text: children
    });
  },
  Error: function Error(_ref2) {
    var children = _ref2.children;
    return /*#__PURE__*/_react.default.createElement(_antd.Badge, {
      status: "error",
      text: children
    });
  },
  Default: function Default(_ref3) {
    var children = _ref3.children;
    return /*#__PURE__*/_react.default.createElement(_antd.Badge, {
      status: "default",
      text: children
    });
  },
  Processing: function Processing(_ref4) {
    var children = _ref4.children;
    return /*#__PURE__*/_react.default.createElement(_antd.Badge, {
      status: "processing",
      text: children
    });
  },
  Warning: function Warning(_ref5) {
    var children = _ref5.children;
    return /*#__PURE__*/_react.default.createElement(_antd.Badge, {
      status: "warning",
      text: children
    });
  },
  success: function success(_ref6) {
    var children = _ref6.children;
    return /*#__PURE__*/_react.default.createElement(_antd.Badge, {
      status: "success",
      text: children
    });
  },
  error: function error(_ref7) {
    var children = _ref7.children;
    return /*#__PURE__*/_react.default.createElement(_antd.Badge, {
      status: "error",
      text: children
    });
  },
  default: function _default(_ref8) {
    var children = _ref8.children;
    return /*#__PURE__*/_react.default.createElement(_antd.Badge, {
      status: "default",
      text: children
    });
  },
  processing: function processing(_ref9) {
    var children = _ref9.children;
    return /*#__PURE__*/_react.default.createElement(_antd.Badge, {
      status: "processing",
      text: children
    });
  },
  warning: function warning(_ref10) {
    var children = _ref10.children;
    return /*#__PURE__*/_react.default.createElement(_antd.Badge, {
      status: "warning",
      text: children
    });
  }
};

var G3FieldBadgeColor = function G3FieldBadgeColor(_ref11) {
  var color = _ref11.color,
      children = _ref11.children;
  return /*#__PURE__*/_react.default.createElement(_antd.Badge, {
    color: color,
    text: children
  });
};

exports.G3FieldBadgeColor = G3FieldBadgeColor;
var _default2 = G3Status;
exports.default = _default2;