import React from 'react';
import { G3Menu, G3MenuItem, G3MenuSub } from '../../index';

var loop = function loop(menus) {
  return menus.map(function (item) {
    return item.subMenus && item.subMenus.length ? /*#__PURE__*/React.createElement(G3MenuSub, {
      key: item.key,
      title: item.title
    }, loop(item.subMenus)) : /*#__PURE__*/React.createElement(G3MenuItem, {
      key: item.key
    }, item.title);
  });
};

var DropdownMenu = function DropdownMenu(_ref) {
  var _ref$menus = _ref.menus,
      menus = _ref$menus === void 0 ? [] : _ref$menus;
  return /*#__PURE__*/React.createElement(G3Menu, null, loop(menus));
};

export default DropdownMenu;