import type { CSSProperties } from 'react';
import React from 'react';
import './index.less';
declare type StatusProps = {
    className?: string;
    style?: CSSProperties;
};
declare const G3Status: {
    Success: React.FC<StatusProps>;
    Error: React.FC<StatusProps>;
    Processing: React.FC<StatusProps>;
    Default: React.FC<StatusProps>;
    Warning: React.FC<StatusProps>;
    success: React.FC<StatusProps>;
    error: React.FC<StatusProps>;
    processing: React.FC<StatusProps>;
    default: React.FC<StatusProps>;
    warning: React.FC<StatusProps>;
};
export declare type G3FieldStatusType = keyof typeof G3Status;
export declare const G3FieldBadgeColor: React.FC<StatusProps & {
    color: string;
}>;
export default G3Status;
