"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _index = require("../../index");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var loop = function loop(menus) {
  return menus.map(function (item) {
    return item.subMenus && item.subMenus.length ? /*#__PURE__*/_react.default.createElement(_index.G3MenuSub, {
      key: item.key,
      title: item.title
    }, loop(item.subMenus)) : /*#__PURE__*/_react.default.createElement(_index.G3MenuItem, {
      key: item.key
    }, item.title);
  });
};

var DropdownMenu = function DropdownMenu(_ref) {
  var _ref$menus = _ref.menus,
      menus = _ref$menus === void 0 ? [] : _ref$menus;
  return /*#__PURE__*/_react.default.createElement(_index.G3Menu, null, loop(menus));
};

var _default = DropdownMenu;
exports.default = _default;