"use strict";

function _typeof(obj) { "@babel/helpers - typeof"; if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireWildcard(require("react"));

var _antd = require("antd");

var _icons = require("@ant-design/icons");

require("./index.css");

function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }

function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) { symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); } keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys(Object(source), true).forEach(function (key) { _defineProperty(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

function _createSuper(Derived) { var hasNativeReflectConstruct = _isNativeReflectConstruct(); return function _createSuperInternal() { var Super = _getPrototypeOf(Derived), result; if (hasNativeReflectConstruct) { var NewTarget = _getPrototypeOf(this).constructor; result = Reflect.construct(Super, arguments, NewTarget); } else { result = Super.apply(this, arguments); } return _possibleConstructorReturn(this, result); }; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } else if (call !== void 0) { throw new TypeError("Derived constructors may only return object or undefined"); } return _assertThisInitialized(self); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _isNativeReflectConstruct() { if (typeof Reflect === "undefined" || !Reflect.construct) return false; if (Reflect.construct.sham) return false; if (typeof Proxy === "function") return true; try { Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], function () {})); return true; } catch (e) { return false; } }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

var _window = window,
    BMapGL = _window.BMapGL;

var MapPointPicker = /*#__PURE__*/function (_React$Component) {
  _inherits(MapPointPicker, _React$Component);

  var _super = _createSuper(MapPointPicker);

  function MapPointPicker(props) {
    var _this;

    _classCallCheck(this, MapPointPicker);

    _this = _super.call(this, props);
    _this.map = void 0;
    _this.pointInfo = {
      lng: '',
      lat: ''
    };

    _this.handleConform = function (e) {
      var currentValue = e.item.value;
      var searchValue = currentValue.province + currentValue.city + currentValue.district + currentValue.street + currentValue.business;

      _this.setSearchPlace(searchValue);
    };

    _this.addSearchMarker = function (result) {
      var matchedPoint = result.getPoi(0);
      var rPoint = matchedPoint.point,
          title = matchedPoint.title,
          address = matchedPoint.address;

      _this.map.centerAndZoom(rPoint, 13);

      _this.map.addOverlay(new BMapGL.Marker(rPoint));

      _this.pointInfo = {
        name: title,
        address: address,
        lng: rPoint.lng,
        lat: rPoint.lat
      };
    };

    _this.changePointValue = function (ev) {
      _this.setState({
        pointValue: ev.target.value || ''
      });
    };

    _this.onPointModalCancel = function () {
      _this.setState({
        visible: false
      });
    };

    _this.onPointSelected = function () {
      var _this$pointInfo = _this.pointInfo,
          lng = _this$pointInfo.lng,
          lat = _this$pointInfo.lat;
      var currentPointValue = lng && lat ? "[".concat(lng, ",").concat(lat, "]") : '';

      _this.setState({
        visible: false,
        pointValue: currentPointValue
      });
    };

    _this.showPointModal = function () {
      _this.setState({
        visible: true
      });
    };

    _this.state = {
      visible: false,
      pointValue: ''
    };
    _this.map = null;
    return _this;
  }

  _createClass(MapPointPicker, [{
    key: "componentDidMount",
    value: function componentDidMount() {}
  }, {
    key: "componentDidUpdate",
    value: function componentDidUpdate() {
      var _this2 = this;

      var that = this;
      var state = this.state,
          map = this.map;

      if (state.visible && !map) {
        this.map = new BMapGL.Map('mapContainer');
        this.map.centerAndZoom(new BMapGL.Point(114.311298, 30.578322), 11);
        var ac = new BMapGL.Autocomplete({
          input: 'mapPointSearch',
          location: this.map
        });
        ac.addEventListener('onconfirm', this.handleConform);
        this.map.addEventListener('click', function (e) {
          _this2.map.clearOverlays();

          var _e$latlng = e.latlng,
              lng = _e$latlng.lng,
              lat = _e$latlng.lat;
          var marker = new BMapGL.Marker(new BMapGL.Point(lng, lat));
          that.map.addOverlay(marker);
          _this2.pointInfo = {
            name: undefined,
            address: undefined,
            lng: lng,
            lat: lat
          };
        });
      }
    }
  }, {
    key: "setSearchPlace",
    value: function setSearchPlace(place) {
      this.map.clearOverlays();
      var local = new BMapGL.LocalSearch(this.map, {
        onSearchComplete: this.addSearchMarker
      });
      local.search(place);
    }
  }, {
    key: "render",
    value: function render() {
      var _this$props = this.props,
          mode = _this$props.mode,
          value = _this$props.value;

      if (mode === 'read') {
        var dom = !value ? '-' : value;
        return /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, dom);
      }

      var _this$state = this.state,
          pointValue = _this$state.pointValue,
          visible = _this$state.visible;
      var changePointValue = this.changePointValue,
          showPointModal = this.showPointModal,
          onPointSelected = this.onPointSelected,
          onPointModalCancel = this.onPointModalCancel;
      var style = {
        color: 'rgba(0,0,0,.45)'
      };
      return /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, /*#__PURE__*/_react.default.createElement(_antd.Input, {
        allowClear: true,
        value: pointValue,
        placeholder: "\u8BF7\u9009\u62E9",
        suffix: /*#__PURE__*/_react.default.createElement(_icons.EnvironmentOutlined, {
          style: style,
          onClick: showPointModal
        }),
        onChange: changePointValue
      }), /*#__PURE__*/_react.default.createElement(_antd.Modal, {
        title: "\u9009\u62E9\u5730\u5740",
        width: "600px",
        visible: visible,
        wrapClassName: "g3-map__point-select-modal",
        onOk: onPointSelected,
        onCancel: onPointModalCancel
      }, /*#__PURE__*/_react.default.createElement("input", {
        id: "mapPointSearch",
        className: "search-input ant-input"
      }), /*#__PURE__*/_react.default.createElement("div", {
        className: "mapContainer",
        id: "mapContainer",
        style: {
          height: '360px',
          width: '100%'
        }
      })));
    }
  }]);

  return MapPointPicker;
}(_react.default.Component);

var G3FieldMap = function G3FieldMap(_ref, ref) {
  var text = _ref.text,
      type = _ref.mode,
      render = _ref.render,
      renderFormItem = _ref.renderFormItem,
      fieldProps = _ref.fieldProps;
  (0, _react.useImperativeHandle)(ref, function () {
    return {
      changeCenter: function changeCenter(point) {
        return point;
      }
    };
  });

  if (type === 'read') {
    var dom = /*#__PURE__*/_react.default.createElement(MapPointPicker, {
      value: text,
      mode: "read"
    });

    if (render) {
      return render(text, _objectSpread({
        mode: type
      }, fieldProps), dom);
    }

    return dom;
  }

  if (type === 'edit' || type === 'update') {
    var _dom = /*#__PURE__*/_react.default.createElement(MapPointPicker, fieldProps);

    if (renderFormItem) {
      return renderFormItem(text, _objectSpread({
        mode: type
      }, fieldProps), _dom);
    }

    return _dom;
  }

  return null;
};

var _default = /*#__PURE__*/_react.default.forwardRef(G3FieldMap);

exports.default = _default;